diff -uNrp zabbix-2.0.11.bk/frontends/php/js/class.cdate.js zabbix-2.0.11/frontends/php/js/class.cdate.js
--- zabbix-2.0.11.bk/frontends/php/js/class.cdate.js	2014-02-12 18:04:29.000000000 +0900
+++ zabbix-2.0.11/frontends/php/js/class.cdate.js	2014-03-06 12:53:25.091876682 +0900
@@ -59,7 +59,10 @@ CDate.prototype = {
 	* @return string|bool human readable date or false if unsupported format given
 	*/
 	format: function(format) {
-		var shortMn = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
+		var shortMn = [locale['S_JAN'], locale['S_FEB'], locale['S_MAR'],
+		               locale['S_APR'], locale['S_MAY'], locale['S_JUN'],
+		               locale['S_JUL'], locale['S_AUG'], locale['S_SEP'],
+		               locale['S_OCT'], locale['S_NOV'], locale['S_DEC']];
 
 		var dt = this.getDate(),
 			mnth = this.getMonth(),
@@ -109,6 +112,8 @@ CDate.prototype = {
 				return  yr + ' ' + shortMn[mnth] + ' ' +appZr(dt) + ' ' + appZr(hrs) + ':' + appZr(mnts);
 			case 'd.m.Y H:i':
 				return appZr(dt) + '.' + appZr(mnth + 1) + '.' + yr + ' ' + appZr(hrs) + ':' + appZr(mnts);
+			case 'J M j H:i':
+				return yr + locale['S_YEAR_UNIT'] + shortMn[mnth] + dt + locale['S_DAY_UNIT'] + ' ' + appZr(hrs) + ':' + appZr(mnts);
 		}
 
 		return false;
diff -uNrp zabbix-2.0.11.bk/frontends/php/jsLoader.php zabbix-2.0.11/frontends/php/jsLoader.php
--- zabbix-2.0.11.bk/frontends/php/jsLoader.php	2014-02-12 18:04:31.000000000 +0900
+++ zabbix-2.0.11/frontends/php/jsLoader.php	2014-03-06 12:53:25.092876693 +0900
@@ -134,6 +134,22 @@ $tranStrings = array(
 		'S_DONE' => _('Done'),
 		'S_TIME' => _('Time')
 	),
+	'class.cdate.js' => array(
+		'S_JAN' => _('Jan'),
+		'S_FEB' => _('Feb'),
+		'S_MAR' => _('Mar'),
+		'S_APR' => _('Apr'),
+		'S_MAY' => _('May'),
+		'S_JUN' => _('Jun'),
+		'S_JUL' => _('Jul'),
+		'S_AUG' => _('Aug'),
+		'S_SEP' => _('Sep'),
+		'S_OCT' => _('Oct'),
+		'S_NOV' => _('Nov'),
+		'S_DEC' => _('Dec'),
+		'S_YEAR_UNIT' => _('S_YEAR_UNIT'),
+		'S_DAY_UNIT' => _('S_DAY_UNIT')
+	),
 	'class.cmap.js' => array(
 		'S_ON' => _('On'),
 		'S_OFF' => _('Off'),
